Last Comment Bug 351913 - Printer paper format always set to letter
: Printer paper format always set to letter
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1, regression, verified1.8.1.2
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: All All
: -- minor with 3 votes (vote)
: mozilla1.9alpha8
Assigned To: Ian Neal
:
: Jet Villegas (:jet)
Mentors:
: 368305 (view as bug list)
Depends on:
Blocks: 311028
  Show dependency treegraph
 
Reported: 2006-09-08 23:46 PDT by Eriatile
Modified: 2007-01-26 06:48 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch) (9.58 KB, patch)
2007-01-22 16:51 PST, Ian Neal
neil: review+
mscott: superreview+
jaymoz: approval1.8.1.2+
Details | Diff | Splinter Review
Missing addressbook changes patch v0.2 (Checked into trunk & 1.8 branch) (2.14 KB, patch)
2007-01-23 17:08 PST, Ian Neal
neil: review+
mscott: superreview+
jaymoz: approval1.8.1.2+
Details | Diff | Splinter Review

Description Eriatile 2006-09-08 23:46:17 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1b2) Gecko/20060908 BonEcho/2.0b2
Build Identifier: Thunderbird version 2 alpha 1 (2006090803)

When printing for the first time, the format paper is always set on letter and not the printer default. (It's correctly using printer default format paper when using print preview)

Reproducible: Always

Steps to Reproduce:
1.Select a message to print
2.In the print dialog open the printer properties and click on advanced
3.look at the paper format, letter is set instead of the printer default format



Expected Results:  
The printer default format should be selected.
Comment 1 M. Vink 2006-09-21 00:00:44 PDT
I can confirm this bug; additionally, Thunderbird ALWAYS starts with a printer that is not my default Windows printer. 
Comment 2 Bernard Choppy 2006-12-20 14:55:40 PST
I can confirm this bug on Debian GNU/Linux Etch with KDE desktop interface.

With Thunderbird, it seems that the bug exists too.
Comment 3 Tobias Fischer 2007-01-04 15:51:31 PST
I see this behaviour too in SeaMonkey Trunk-Builds and 1.1-Branch-Builds using Windows XP and an Laserprinter with German A4-Papersize as default. 
Comment 4 Eriatile 2007-01-20 02:47:00 PST
Is there anybody taking a look at this bug ?! It's still marked unconfirmed yet 3 people have confirmed it.
Although the severity is minor, I think it should be a thunderbird 2 blocker. Changing the printer format paper is quite cumbersome, you have to :
1. request to print a mail,
2. not forget about the bug,
3. go to the printer properties,
4. open advanced properties,
5. change the format paper,
6. close advanced properties and printer properties,
7. at last you can print your mail
Comment 5 Marcus 2007-01-20 14:37:42 PST
I can confirm this bug too. Win XP and a network copy/printer.
Very annoying. If i forget to change the format the machine is blocked - requesting paper in letter format which is not available. 
This prevents update from last Mozilla Suite to Seamonkey.
Comment 6 Tobias Fischer 2007-01-21 07:57:40 PST
Now I have tested Thunderbird Version 2 beta 1 (20070116) and I give the confirm. 

Printer was an Kyocera FS1920 connectes via Standard TCP/IP-Port in LAN. 
Only Paper filled in Cartridge was German Size DIN A4. 

When I try to print a Message with Thunderbird 2.0 pre, SeaMonkey 1.1 (also other 1.8-Branch-Builds) and SeaMonkey Trunk - all Windows Builds - the first given Paper-Size was "Letter". I have to follow the procedure from #4 to print the Message succesfull. 

Because of this, I can't take Thunderbird 2.0/SeaMonkey 1.1 for Office-Use at Moment. So this was probably a Blocker for them. 

And someone with Editbig-Privileges should change the Product from "Thunderbird" to "Core" Printing-Bugs. 
Comment 7 Tobias Fischer 2007-01-21 16:39:05 PST
Note, this was not an enhancement, sure this was an regression, so someone with proper rights has to change it. 

After a little testing I can cut down the Regression-Window from working with getting A4 as default Paper-Size from Printer with SeaMonkey 1.5a-Build 2006-01-04-09 and next Build 2006-01-05-09 was broken. 

Bonsai-Link:
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2006-01-04+08%3A20%3A00&maxdate=2006-01-05+09%3A00%3A00&cvsroot=%2Fcvsroot

I suspect the Patch for Bug 311028 caused this regression, so I am CC'ing Iann to this Bug. Would be nice if you take a look, I can't understand the code in printing.js and the other changed files. 
Comment 8 Ian Neal 2007-01-21 16:51:47 PST
Okay, setting back to minor. Just checked on SM trunk, from print in a browser window paper size is set correctly, it is only in mailnews that it is set to letter. I will try and look at it over the next few days.
Comment 9 Ian Neal 2007-01-22 16:51:55 PST
Created attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

The problem with mailnews (inc TB) and addressbook was that they were not pulling in the defaults from the selected printer (and far as I can see they never were).
This patch fixes the problem by calling PrintUtils.getPrintSettings function which does pull in this information.
Comment 10 neil@parkwaycc.co.uk 2007-01-23 04:37:14 PST
Comment on attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

I tested this by opening the Error Console from the mail window and evaluating top.opener.gPrintSettings = top.opener.PrintUtils.getPrintSettings();
Comment 11 Ian Neal 2007-01-23 06:42:01 PST
Comment on attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

also requesting a= for 1.8 branch for simple "regression" fix - fix to Bug 311028 landed on that branch but not 1.8.0 one.
Comment 12 Scott MacGregor 2007-01-23 07:58:45 PST
Comment on attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

triage team: note this bug is seamonkey / thunderbird only and doesn't effect Firefox.
Comment 13 Ian Neal 2007-01-23 11:48:49 PST
Comment on attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

Checking in (trunk)
mail/base/content/mailWindowOverlay.js;
new revision: 1.156; previous revision: 1.155
mail/components/addrbook/content/addressbook.js;
new revision: 1.28; previous revision: 1.27
mailnews/addrbook/resources/content/addressbook.js;
new revision: 1.123; previous revision: 1.122
mailnews/base/resources/content/mailWindowOverlay.js;
new revision: 1.249; previous revision: 1.248
done
Comment 14 Jay Patel [:jay] 2007-01-23 14:35:42 PST
Comment on attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

Approved for 1.8 branch, a=jay for drivers.
Comment 15 Ian Neal 2007-01-23 17:08:59 PST
Created attachment 252547 [details] [diff] [review]
Missing addressbook changes patch v0.2 (Checked into trunk & 1.8 branch)

Missed changing one further GetPrintSettings to PrintUtils.getPrintSettings in each of the addressbook.js files.
Comment 16 Ian Neal 2007-01-23 17:10:13 PST
Comment on attachment 252404 [details] [diff] [review]
Use PrintUtils.getPrintSettings patch v0.1 (Checked into trunk & 1.8 branch)

Checking in (1.8 branch)
mail/base/content/mailWindowOverlay.js;
new revision: 1.95.2.51; previous revision: 1.95.2.50
mail/components/addrbook/content/addressbook.js;
new revision: 1.20.2.4; previous revision: 1.20.2.3
mailnews/addrbook/resources/content/addressbook.js;
new revision: 1.117.2.3; previous revision: 1.117.2.2
mailnews/base/resources/content/mailWindowOverlay.js;
new revision: 1.222.2.21; previous revision: 1.222.2.20
done
Comment 17 Worcester12345 2007-01-24 08:13:27 PST
After "bake time", can this go in on the branch? Or does it need the "fixed1.8.1.2" key word? This is a pain. Thanks for fixing it.
Comment 18 Jay Patel [:jay] 2007-01-24 15:57:55 PST
Comment on attachment 252547 [details] [diff] [review]
Missing addressbook changes patch v0.2 (Checked into trunk & 1.8 branch)

Approved for 1.8 branch, a=jay for drivers.
Comment 19 Ian Neal 2007-01-25 11:45:55 PST
Comment on attachment 252547 [details] [diff] [review]
Missing addressbook changes patch v0.2 (Checked into trunk & 1.8 branch)

Checking in (trunk)
mail/components/addrbook/content/addressbook.js;
new revision: 1.29; previous revision: 1.28
mailnews/addrbook/resources/content/addressbook.js;
new revision: 1.124; previous revision: 1.123
done
Checking in (1.8 branch)
mail/components/addrbook/content/addressbook.js;
new revision: 1.20.2.5; previous revision: 1.20.2.4
mailnews/addrbook/resources/content/addressbook.js;
new revision: 1.117.2.4; previous revision: 1.117.2.3
done
Comment 20 Carsten Book [:Tomcat] 2007-01-25 15:29:11 PST
verified for 1.8.1.2 on Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.2pre) Gecko/20070124 Thunderbird/2.0b2pre Mnenhy/0.7.4.10002 ID:2007012504
Comment 21 John Wilcock 2007-01-26 06:48:32 PST
*** Bug 368305 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.